## numpy 1.21.5

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# PYVER needs to be major.minor, just "3" doesn't work - it will result in
# issues with the amendments to PYTHONPATH and install paths (see DIST_VARS).

# Use explicit "version_info" indexing since make cannot handle colon characters, and
# evaluate it now to allow easier debugging when printing the variable

PYVER:=$(shell python3 -c 'from sys import version_info as v; print("{0}.{1}".format(v[0], v[1]))')
PYTHON = python$(PYVER)

# You can set these variables from the command line.
SPHINXOPTS    ?=
SPHINXBUILD   ?= LANG=C sphinx-build
PAPER         ?=
# For merging a documentation archive into a git checkout of numpy/doc
# Turn a tag like v1.18.0 into 1.18
# Use sed -n -e 's/patttern/match/p' to return a blank value if no match
TAG ?= $(shell git describe --tag | sed -n -e's,v\([1-9]\.[0-9]*\)\.[0-9].*,\1,p')

FILES=

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -WT --keep-going -d build/doctrees $(PAPEROPT_$(PAPER)) \
  $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
		dist dist-build gitwash-update version-check html-build latex-build \
		merge-doc show

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  html-scipyorg  to make standalone HTML files with scipy.org theming"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  dist PYVER=... to make a distribution-ready tree"
	@echo "  gitwash-update GITWASH=path/to/gitwash  update gitwash developer docs"
	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"
	@echo "  merge-doc TAG=... to clone numpy/doc and archive documentation into it"
	@echo "  show      to show the html output in a browser"

clean:
	-rm -rf build/*
	find . -name generated -type d -prune -exec rm -rf "{}" ";"

gitwash-update:
	rm -rf source/dev/gitwash
	install -d source/dev/gitwash
	python $(GITWASH)/gitwash_dumper.py source/dev NumPy \
	    --repo-name=numpy \
	    --github-user=numpy
	cat source/dev/gitwash_links.txt >> source/dev/gitwash/git_links.inc

#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current numpy version, and extract docs from it.
# We have to be careful of some issues:
#
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#


INSTALL_DIR = $(CURDIR)/build/inst-dist
INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
UPLOAD_DIR=/srv/docs_scipy_org/doc/numpy-$(RELEASE)

DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)" 

NUMPYVER:=$(shell $(PYTHON) -c "import numpy; print(numpy.version.git_revision[:10])" 2>/dev/null)
GITVER ?= $(shell cd ..; $(PYTHON) -c "import versioneer as v; print(v.get_versions()['full-revisionid'][:10])")

version-check:
ifeq "$(GITVER)" "Unknown"
	# @echo sdist build with unlabeled sources
else ifeq ("", "$(NUMPYVER)")
	@echo numpy not found, cannot build documentation without successful \"import numpy\"
	@exit 1
else ifneq ($(NUMPYVER),$(GITVER))
	@echo installed numpy $(NUMPYVER) != current repo git version \'$(GITVER)\'
	@echo use '"make dist"' or '"GITVER=$(NUMPYVER) make $(MAKECMDGOALS) ..."'
	@exit 1
else
	# for testing
	# @echo installed numpy $(NUMPYVER) matches git version $(GITVER); exit 1
endif


dist: build/dist.tar.gz

build/dist.tar.gz:
	make $(DIST_VARS) real-dist

real-dist: dist-build html-build
	test -d build/latex || make latex-build
	make -C build/latex all-pdf
	-rm -rf build/dist
	cp -r build/html build/dist
	cd build/html && zip -9r ../dist/numpy-html.zip .
	cp build/latex/numpy-ref.pdf build/dist
	cp build/latex/numpy-user.pdf build/dist
	cd build/dist && tar czf ../dist.tar.gz *
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s

dist-build:
	rm -f ../dist/*.egg
	cd .. && $(PYTHON) setup.py bdist_egg
	install -d $(subst :, ,$(INSTALL_PPH))
	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg

upload: build/dist.tar.gz
	# SSH must be correctly configured for this to work.
	# Assumes that ``make dist`` was already run
	# Example usage: ``make upload USERNAME=rgommers RELEASE=1.10.1``
	ssh $(USERNAME)@docs.scipy.org mkdir $(UPLOAD_DIR)
	scp build/dist.tar.gz $(USERNAME)@docs.scipy.org:$(UPLOAD_DIR)
	ssh $(USERNAME)@docs.scipy.org tar xvC $(UPLOAD_DIR) \
	    -zf $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-ref.pdf \
	    $(UPLOAD_DIR)/numpy-ref-$(RELEASE).pdf
	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-user.pdf \
	    $(UPLOAD_DIR)/numpy-user-$(RELEASE).pdf
	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-html.zip \
	    $(UPLOAD_DIR)/numpy-html-$(RELEASE).zip
	ssh $(USERNAME)@docs.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@docs.scipy.org ln -snf numpy-$(RELEASE) /srv/docs_scipy_org/doc/numpy


merge-doc: build/dist.tar.gz
ifeq "$(TAG)" ""
	echo tag "$(TAG)" not of the form 1.18;
	exit 1;
endif
	@# Only clone if the directory does not exist
	@if ! test -d build/merge; then \
		git clone https://github.com/numpy/doc build/merge; \
	fi;
	@# Remove any old content and copy in the new, add it to git
	-rm -rf build/merge/$(TAG)/*
	-mkdir -p build/merge/$(TAG)
	@# -C changes working directory
	tar -C build/merge/$(TAG) -xf build/dist.tar.gz
	git -C build/merge add $(TAG)
	@# For now, the user must do this. If it is onerous, automate it and change
	@# the instructions in doc/HOWTO_RELEASE.rst.txt
	@echo " "
	@echo New documentation archive added to ./build/merge.
	@echo Now add/modify the appropriate section after
	@echo "    <!-- insert here -->"
	@echo in build/merge/index.html,
	@echo then \"git commit\", \"git push\"


#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	touch build/generate-stamp

html: version-check html-build
html-build: generate
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html $(FILES)
	$(PYTHON) postprocess.py html build/html/*.html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

html-scipyorg:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -t scipyorg -b html $(ALLSPHINXOPTS) build/html-scipyorg $(FILES)
	@echo
	@echo "Build finished. The HTML pages are in build/html-scipyorg."

pickle: generate version-check
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle $(FILES)
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: generate version-check
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp $(FILES)
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

htmlhelp-build: htmlhelp build/htmlhelp/numpy.chm
%.chm: %.hhp
	-hhc.exe $^

qthelp: generate version-check
	mkdir -p build/qthelp build/doctrees
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp $(FILES)

latex: version-check latex-build
latex-build: generate
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex $(FILES)
	$(PYTHON) postprocess.py tex build/latex/*.tex
	perl -pi -e 's/LATEXOPTS =/LATEXOPTS ?= --halt-on-error/' build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build version-check
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage $(FILES)
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: generate version-check
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes $(FILES)
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate version-check
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck $(FILES)
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) build/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in build/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) build/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C build/texinfo info
	@echo "makeinfo finished; the Info files are in build/texinfo."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/build/html/index.html')"

=== debian/changelog ===
numpy (1:1.21.5-1ubuntu22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overflow vulnerability
    - debian/patches/CVE-2021-41496.patch: f2py: Simplify creation of an
      exception message.
    - CVE-2021-41496
  * SECURITY UPDATE: insecure string comparison in descriptor.c
    - debian/patches/CVE-2021-34141.patch: Remove deprecated numeric style
      dtype strings
    - CVE-2021-34141
  * SECURITY UPDATE: null pointer dereference vulnerability
    - debian/patches/CVE-2021-41495.patch: review return values for
      PyArray_DescrNew
    - CVE-2021-41495

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 02 Dec 2022 17:52:07 +0530

numpy (1:1.21.5-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:42 +0100

numpy (1:1.21.5-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:51:12 +0000

numpy (1:1.21.5-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont compress woff, woff2, and ico files; Closes: #1001518
  * debian/{dh_numpy3.1, README.DebianMaints}
    - properly document dh_numpy3, patch by Julian Gilbey; Closes: #1000566

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 00:57:37 -0500

numpy (1:1.21.4-2) unstable; urgency=medium

  [ Dan Bungert ]
  * Packaging changes for compatibility with python 3.10; Closes: #999812

  [ Sandro Tosi ]
  * stop building -dbg package; Closes: #994316
  * debian/python3-numpy.install
    - simplify numpy module installation, as suggested by Drew Parsons
  * upload to unstable; Closes: #995318

 -- Sandro Tosi <morph@debian.org>  Fri, 19 Nov 2021 23:39:08 -0500

numpy (1:1.21.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.0.1 (no changes needed)
  * debian/patches/PR20179.patch
    - drop patch, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 01:04:21 -0500

numpy (1:1.21.2-3) experimental; urgency=medium

  * debian/python3-numpy.install
    - install typing submodule; Closes: #998109

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Nov 2021 01:08:43 -0400

numpy (1:1.21.2-2) experimental; urgency=medium

  * debian/patches/PR20179.patch
    - fix a failure on armhf when running tests

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Oct 2021 00:52:29 -0400

numpy (1:1.21.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gfortran.
    + python3-numpy: Drop versioned constraint on gcc in Suggests.
    + python3-numpy: Drop versioned constraint on python3-aplpy,
      python3-astropy, python3-ccdproc, python3-dask, python3-skimage,
      python3-tables and python3-theano in Breaks.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright notices
  * debian/patches
    - refresh patches
  * debian/control
    - merge b-d-i into b-d
    - bump b-d on cython3 to >= 0.29.24
    - bump b-d on pydata-sphinx-theme to >= 0.7.1
  * debian/patches/setup-py-accept-config.patch
    - allow setup.py config
  * debian/rules
    - set GITVER when building doc
    - also set PYTHONPATH when running tests, this allows those spawning a
      separate interpreter to still use the newly built module

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Oct 2021 17:32:00 -0400

numpy (1:1.20.2-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - remove notice for doc/scipy-sphinx-theme, dropped upstream
    - remove notice for doc/sphinxext, dropped upstream
  * debian/control
    - add numpydoc to b-d, needed by doc

 -- Sandro Tosi <morph@debian.org>  Sat, 03 Apr 2021 13:01:26 -0400

numpy (1:1.20.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches
    - refresh patches
  * debian/control
    - add pydata-sphinx-theme and pandas-doc to b-d, needed by doc
  * debian/versions
    - update for new Numpy API 14
  * debian/copyright
    - updates for new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Apr 2021 01:54:06 -0400

=== debian/control ===
Source: numpy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: cython3 (>= 0.29.24),
               debhelper-compat (= 11),
               dh-python,
               dvisvgm,
               gfortran,
               libblas-dev [!arm !m68k],
               liblapack-dev [!arm !m68k],
               python-imageio-doc <!nodoc>,
               python-matplotlib-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-skimage-doc <!nodoc>,
               python3-all-dev,
               python3-doc <!nodoc>,
               python3-hypothesis (>= 5.19.1) <!nocheck>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pydata-sphinx-theme (>= 0.7.1) <!nodoc>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-scipy <!nodoc>,
               python3-setuptools,
               python3-sphinx (>= 2) <!nodoc>,
               python3-tz <!nocheck>,
               texlive-latex-base <!nodoc>,
               texlive-latex-extra <!nodoc>,
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
Homepage: http://www.numpy.org/

Package: python3-numpy
Architecture: any
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: gcc,
          gfortran,
          python-numpy-doc,
          python3-dev,
          python3-pytest,
Provides: dh-sequence-numpy3,
          python3-f2py,
          python3-numpy-dev,
          ${numpy3:Provides},
          ${python3:Provides},
Description: Fast array facility to the Python 3 language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.

Package: python-numpy-doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: NumPy documentation
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains documentation for Numpy and f2py.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

PY3VERS=$(shell py3versions -vr)
PY3DEF=$(shell py3versions -dv)
PY3LIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")

# Look at #634012 to understand why is needed and what will happen if we set
# compat to 9
unexport LDFLAGS
export ATLAS=None

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build-arch:
	dh_auto_build
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build; \
	done

override_dh_auto_build-indep: override_dh_auto_build-arch
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH) GITVER=Unknown)

override_dh_auto_clean:
	rm -rf build/
	rm -rf `find -name build -type d`
	rm -rf `find . -name "*.pyc" -type f`
	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
	rm -rf doc/source/reference/generated
	# cython generated
	rm -f numpy/random/mtrand/mtrand.c

#override_dh_installman:
#	dh_installman -ppython3-numpy doc/f2py/f2py.1
#	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
#	  debian/python3-numpy/usr/share/man/man1/f2py3.1
#	# link manpage for versioned incarnations of f2py
#	set -e; for v in $(PY3VERS); do \
#		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
#	done

override_dh_python3:
	dh_python3

	ENTRYPOINT=non-existant
	# tweak the entry_points list to include all supported versions
	if [ -f $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt ] ; then \
		ENTRYPOINT=$(shell ls $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt) ; \
		for v in $(PY3VERS); do \
			if ! grep $$v $$ENTRYPOINT; \
			then \
				echo "f2py$$v = numpy.f2py.f2py2e:main" >> $$ENTRYPOINT ; \
			fi; \
		done \
	fi

override_dh_install:
	# add shebang information to f2py script
	set -e; for v in $(PY3VERS); do \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v," debian/tmp/usr/bin/f2py$$v; \
	done
	cp -a debian/tmp/usr/bin/f2py$(PY3DEF) debian/tmp/usr/bin/f2py3
	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3," debian/tmp/usr/bin/f2py3

	dh_install

	# create symlinks for .h files
	set -e; for i in $(PY3VERS); do \
	ABITAG=`python$$i -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$$i$$ABITAG; \
		dh_link -ppython3-numpy usr/lib/python3/dist-packages/numpy/core/include/numpy usr/include/python$$i$$ABITAG/numpy; \
	done

override_dh_gencontrol:
	python3 debian/versions3.helper >> debian/python3-numpy.substvars
	dh_gencontrol

override_dh_compress:
	dh_compress -X.js -Xobjects.inv -X.txt -X.woff -X.woff2 -X.ico

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc -i

override_dh_auto_test:
	echo "pass"

override_dh_auto_install:
	dh_auto_install

	# Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	# yes, we need to run tests after install
	# The reason is that numpy tries hard to not let you run it from the
	# source directory, so we need to mess with the import order so to
	# select the code in the installation path
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "TEST STARTED" `date`
	set -e; for v in $(PY3VERS) ; do \
		cd debian ; \
		export PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ ; \
		echo "-- running tests for "$$v" plain --" ; \
		python$$v -c "import sys ; sys.path.insert(0, './tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
		cd .. ; \
	done
	echo "TEST ENDED" `date`
endif

=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-numpy, python3-all, python3-pytest, python3-tz, python3-hypothesis

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libopenblas-base, dpkg-dev, gcc, python3-hypothesis

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libatlas3-base, dpkg-dev, gcc, python3-hypothesis

Tests: f2py
Depends: build-essential, gfortran, python3-numpy, python3-all, python3-all-dev

Tests: distutils
Restrictions: allow-stderr
Depends: build-essential, libfftw3-dev, python3-numpy, python3-distutils

Tests: capi
Depends: build-essential, python3-all-dev, python3-numpy

## numpy 1.22.3

=== debian/changelog ===
numpy (1:1.22.3-1) jammy; urgency=medium

  * Boundary rebuild for jammy

 -- Laci Tele <laci@boundarydevices.com>  Sun, 10 Dec 2023 08:39:54 -0800

numpy (1:1.22.1-1) experimental; urgency=medium

  * New upstream release
  * debian/rules
    - install dh_numpy3 manpage
  * Install numpy.i SWIG interface in /usr/include/python3.x/numpy in the main
    package, instead of -doc; Closes: #1000678
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * refresh patches
  * debian/control
    - add doxygen, breathe, and sphinx-panels to b-d, needed by doc
    - bump b-d on python3-hypothesis to >= 6.35.0
  * debian/versions
    - bump API version
  * debian/patches/PR20695.patch, debian/rules
    - temporarily disable SVML

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2022 01:30:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: cython3 (>= 0.29.24),
                debhelper-compat (= 11),
                dh-python,
+               doxygen <!nodoc>,
                dvisvgm,
                gfortran,
                libblas-dev [!arm !m68k],
@@ -17,8 +17,9 @@
                python-scipy-doc <!nodoc>,
                python-skimage-doc <!nodoc>,
                python3-all-dev,
+               python3-breathe <!nodoc>,
                python3-doc <!nodoc>,
-               python3-hypothesis (>= 5.19.1) <!nocheck>,
+               python3-hypothesis (>= 6.35.0) <!nocheck>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nodoc>,
                python3-numpydoc <!nodoc>,
@@ -28,6 +29,7 @@
                python3-scipy <!nodoc>,
                python3-setuptools,
                python3-sphinx (>= 2) <!nodoc>,
+               python3-sphinx-panels <!nodoc>,
                python3-tz <!nocheck>,
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 # compat to 9
 unexport LDFLAGS
 export ATLAS=None
+
+# https://github.com/numpy/numpy/pull/20695
+export NPY_DISABLE_SVML=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -33,14 +36,8 @@
 	# cython generated
 	rm -f numpy/random/mtrand/mtrand.c
 
-#override_dh_installman:
-#	dh_installman -ppython3-numpy doc/f2py/f2py.1
-#	-mv debian/python3-numpy/usr/share/man/man1/f2py.1 \
-#	  debian/python3-numpy/usr/share/man/man1/f2py3.1
-#	# link manpage for versioned incarnations of f2py
-#	set -e; for v in $(PY3VERS); do \
-#		dh_link -ppython3-numpy /usr/share/man/man1/f2py3.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
-#	done
+override_dh_installman:
+	dh_installman -ppython3-numpy debian/dh_numpy3.1
 
 override_dh_python3:
 	dh_python3
@@ -64,6 +61,9 @@
 	done
 	cp -a debian/tmp/usr/bin/f2py$(PY3DEF) debian/tmp/usr/bin/f2py3
 	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python3," debian/tmp/usr/bin/f2py3
+
+	# install numpy.i into the include directory
+	cp -a tools/swig/numpy.i debian/tmp/usr/lib/python3/dist-packages/numpy/core/include/numpy
 
 	dh_install

## numpy 1.23.5

=== debian/changelog ===
numpy (1:1.23.5-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Mon, 12 Dec 2022 18:21:15 -0500

numpy (1:1.23.5-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track releases via GitHub APIs
  * debian/patches
    - refresh/disable patches
  * debian/tests/control
    - replace libopenblas-base (transitional pkg, now removed) with
      libopenblas0; Closes: #1024439
  * debian/edit_console_scripts.py, debian/rules
    - add a new helper script to edit console_scripts section of
      entry_points.txt

 -- Sandro Tosi <morph@debian.org>  Thu, 08 Dec 2022 01:57:30 -0500

numpy (1:1.23.3-1) experimental; urgency=medium

  * New upstream release
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof

 -- Sandro Tosi <morph@debian.org>  Thu, 03 Nov 2022 23:33:17 -0400

numpy (1:1.23.2-1) experimental; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Aug 2022 00:30:33 -0400

numpy (1:1.23.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - track github releases (containing extra files like SVML), not tags
  * debian/control
    - bump versioned b-d on cython3 to >= 0.29.30
    - add typing-extensions to b-d, needed by tests
  * debian/patches/
    - refresh/drop patches
  * debian/rules
    - enable SVML, available by using the github release tarball
  * debian/patches/docs_disable_switcher_version.patch
    - disable switcher_version theme, until we can build a more recent version
      of pydata-sphinx-theme
  * debian/versions3.helper
    - update to modern python3, and better error messages
  * debian/versions
    - bump API version to 16
  * debian/rules
    - rework how we run tests at build time
  * debian/tests
    - adjustments to autopkgtests for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Aug 2022 00:43:08 -0400

numpy (1:1.21.5-2) unstable; urgency=medium

  [ Stefano Rivera]
  * Team upload.

  [ Sandro Tosi ]
  * debian/rules
    - set SETUPTOOLS_USE_DISTUTILS=stdlib to ensure compatibility with
      setuptools >= 60.0.0; Thanks to Jochen Sprickerhof; Closes: #1020135

  [ Graham Inggs ]
  * Use `Py_SET_TYPE` macro instead of assigning to `Py_TYPE` for
    compatibility with Python 3.11.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2022 21:03:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
-Build-Depends: cython3 (>= 0.29.24),
+Build-Depends: cython3 (>= 0.29.30),
                debhelper-compat (= 11),
                dh-python,
                doxygen <!nodoc>,
@@ -30,6 +30,7 @@
                python3-setuptools,
                python3-sphinx (>= 2) <!nodoc>,
                python3-sphinx-panels <!nodoc>,
+               python3-typing-extensions (>= 4.2.0) <!nocheck>,
                python3-tz <!nocheck>,
                texlive-latex-base <!nodoc>,
                texlive-latex-extra <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 PY3DEF=$(shell py3versions -dv)
 PY3LIBPATH := $(shell python3 -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_platlib)")
 
+# for setuptools >= 60.0.0 compatibility
+export SETUPTOOLS_USE_DISTUTILS=stdlib
+
 # Look at #634012 to understand why is needed and what will happen if we set
 # compat to 9
 unexport LDFLAGS
 export ATLAS=None
-
-# https://github.com/numpy/numpy/pull/20695
-export NPY_DISABLE_SVML=1
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -43,14 +43,11 @@
 	dh_python3
 
 	ENTRYPOINT=non-existant
-	# tweak the entry_points list to include all supported versions
+	# tweak the entry_points console_scripts list to include all supported versions
 	if [ -f $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt ] ; then \
 		ENTRYPOINT=$(shell ls $(CURDIR)/debian/python3-numpy/usr/lib/python3/dist-packages/numpy-*.egg-info/entry_points.txt) ; \
 		for v in $(PY3VERS); do \
-			if ! grep $$v $$ENTRYPOINT; \
-			then \
-				echo "f2py$$v = numpy.f2py.f2py2e:main" >> $$ENTRYPOINT ; \
-			fi; \
+			python3 debian/edit_console_scripts.py $$ENTRYPOINT "f2py$$v" "numpy.f2py.f2py2e:main" ; \
 		done \
 	fi
 
@@ -104,11 +101,10 @@
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "TEST STARTED" `date`
 	set -e; for v in $(PY3VERS) ; do \
-		cd debian ; \
-		export PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ ; \
+		cd $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/ ; \
 		echo "-- running tests for "$$v" plain --" ; \
-		python$$v -c "import sys ; sys.path.insert(0, './tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test(verbose=5)" ; \
-		cd .. ; \
+		python$$v -c 'import numpy; numpy.test(verbose=5, extra_argv=["--ignore=numpy/core/tests/test_mem_policy.py", "-k not test_limited_api and not test_gen_pyf_no_overwrite and not test_max_rows_empty_lines"])' ; \
+		cd $(CURDIR) ; \
 	done
 	echo "TEST ENDED" `date`
 endif

## numpy 1.24.1

=== debian/changelog ===
numpy (1:1.24.1-2) unstable; urgency=medium

  * upload to unstable; Closes: #1027581

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Jan 2023 16:38:17 -0500

numpy (1:1.24.1-1) experimental; urgency=medium

  * New upstream release
  * debian/tests/
    - use py3versions --supported instead of --requested

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Dec 2022 20:27:08 -0500

numpy (1:1.24.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh patches
  * Stop building the -doc package; the cost of maintaining the build process
    and packaging more and more new packages is no longer sustainable, given the
    few users actually installing it.
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Dec 2022 01:28:04 -0500

## numpy 1.24.2

=== doc/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 SPHINXOPTS    ?=
 SPHINXBUILD   ?= LANG=C sphinx-build
 PAPER         ?=
+DOXYGEN       ?= doxygen
 # For merging a documentation archive into a git checkout of numpy/doc
 # Turn a tag like v1.18.0 into 1.18
 # Use sed -n -e 's/patttern/match/p' to return a blank value if no match
@@ -25,32 +26,41 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -WT --keep-going -d build/doctrees $(PAPEROPT_$(PAPER)) \
-  $(SPHINXOPTS) source
-
-.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
-		dist dist-build gitwash-update version-check html-build latex-build \
-		merge-doc show
+                  $(SPHINXOPTS) source
+
+.PHONY: help clean html web htmlhelp latex changes linkcheck \
+	dist dist-build gitwash-update version-check html-build latex-build \
+	merge-doc show docenv
 
 #------------------------------------------------------------------------------
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  clean     to remove generated doc files and start fresh"
+	@echo "  docenv    make a virtual environment in which to build docs"
 	@echo "  html      to make standalone HTML files"
-	@echo "  html-scipyorg  to make standalone HTML files with scipy.org theming"
-	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  dist PYVER=... to make a distribution-ready tree"
 	@echo "  gitwash-update GITWASH=path/to/gitwash  update gitwash developer docs"
-	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"
 	@echo "  merge-doc TAG=... to clone numpy/doc and archive documentation into it"
 	@echo "  show      to show the html output in a browser"
 
 clean:
 	-rm -rf build/*
 	find . -name generated -type d -prune -exec rm -rf "{}" ";"
+
+docenv:
+	$(PYTHON) -mvenv docenv
+	( \
+            . docenv/bin/activate; \
+            pip install -q --upgrade pip; \
+            pip install -q  -r ../test_requirements.txt; \
+            pip install -q  -r ../doc_requirements.txt; \
+            pip install -q ..; \
+	)
 
 gitwash-update:
 	rm -rf source/dev/gitwash
@@ -68,17 +78,9 @@
 # We have to be careful of some issues:
 #
 # - Everything must be done using the same Python version
-# - We must use eggs (otherwise they might override PYTHONPATH on import).
-# - Different versions of easy_install install to different directories (!)
 #
 
-
-INSTALL_DIR = $(CURDIR)/build/inst-dist
-INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
-UPLOAD_DIR=/srv/docs_scipy_org/doc/numpy-$(RELEASE)
-
-DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)" 
-
+#SPHINXBUILD="LANG=C sphinx-build"
 NUMPYVER:=$(shell $(PYTHON) -c "import numpy; print(numpy.version.git_revision[:10])" 2>/dev/null)
 GITVER ?= $(shell cd ..; $(PYTHON) -c "import versioneer as v; print(v.get_versions()['full-revisionid'][:10])")
 
@@ -87,6 +89,7 @@
 	# @echo sdist build with unlabeled sources
 else ifeq ("", "$(NUMPYVER)")
 	@echo numpy not found, cannot build documentation without successful \"import numpy\"
+	@echo Try overriding the makefile PYTHON variable with '"make PYTHON=python $(MAKECMDGOALS)"'
 	@exit 1
 else ifneq ($(NUMPYVER),$(GITVER))
 	@echo installed numpy $(NUMPYVER) != current repo git version \'$(GITVER)\'
@@ -100,44 +103,14 @@
 
 dist: build/dist.tar.gz
 
-build/dist.tar.gz:
-	make $(DIST_VARS) real-dist
-
-real-dist: dist-build html-build
-	test -d build/latex || make latex-build
-	make -C build/latex all-pdf
-	-rm -rf build/dist
+build/dist.tar.gz: real-dist
+
+real-dist: html-build
 	cp -r build/html build/dist
 	cd build/html && zip -9r ../dist/numpy-html.zip .
-	cp build/latex/numpy-ref.pdf build/dist
-	cp build/latex/numpy-user.pdf build/dist
 	cd build/dist && tar czf ../dist.tar.gz *
 	chmod ug=rwX,o=rX -R build/dist
 	find build/dist -type d -print0 | xargs -0r chmod g+s
-
-dist-build:
-	rm -f ../dist/*.egg
-	cd .. && $(PYTHON) setup.py bdist_egg
-	install -d $(subst :, ,$(INSTALL_PPH))
-	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg
-
-upload: build/dist.tar.gz
-	# SSH must be correctly configured for this to work.
-	# Assumes that ``make dist`` was already run
-	# Example usage: ``make upload USERNAME=rgommers RELEASE=1.10.1``
-	ssh $(USERNAME)@docs.scipy.org mkdir $(UPLOAD_DIR)
-	scp build/dist.tar.gz $(USERNAME)@docs.scipy.org:$(UPLOAD_DIR)
-	ssh $(USERNAME)@docs.scipy.org tar xvC $(UPLOAD_DIR) \
-	    -zf $(UPLOAD_DIR)/dist.tar.gz
-	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-ref.pdf \
-	    $(UPLOAD_DIR)/numpy-ref-$(RELEASE).pdf
-	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-user.pdf \
-	    $(UPLOAD_DIR)/numpy-user-$(RELEASE).pdf
-	ssh $(USERNAME)@docs.scipy.org mv $(UPLOAD_DIR)/numpy-html.zip \
-	    $(UPLOAD_DIR)/numpy-html-$(RELEASE).zip
-	ssh $(USERNAME)@docs.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
-	ssh $(USERNAME)@docs.scipy.org ln -snf numpy-$(RELEASE) /srv/docs_scipy_org/doc/numpy
-
 
 merge-doc: build/dist.tar.gz
 ifeq "$(TAG)" ""
@@ -155,7 +128,7 @@
 	tar -C build/merge/$(TAG) -xf build/dist.tar.gz
 	git -C build/merge add $(TAG)
 	@# For now, the user must do this. If it is onerous, automate it and change
-	@# the instructions in doc/HOWTO_RELEASE.rst.txt
+	@# the instructions in doc/HOWTO_RELEASE.rst
 	@echo " "
 	@echo New documentation archive added to ./build/merge.
 	@echo Now add/modify the appropriate section after
@@ -176,26 +149,16 @@
 html: version-check html-build
 html-build: generate
 	mkdir -p build/html build/doctrees
+	$(PYTHON) preprocess.py
+ifeq (, $(shell which $(DOXYGEN)))
+	@echo "Unable to find 'Doxygen:$(DOXYGEN)', skip generating C/C++ API from comment blocks."
+else
+	$(DOXYGEN) build/doxygen/Doxyfile
+endif
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html $(FILES)
 	$(PYTHON) postprocess.py html build/html/*.html
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
-
-html-scipyorg:
-	mkdir -p build/html build/doctrees
-	$(SPHINXBUILD) -t scipyorg -b html $(ALLSPHINXOPTS) build/html-scipyorg $(FILES)
-	@echo
-	@echo "Build finished. The HTML pages are in build/html-scipyorg."
-
-pickle: generate version-check
-	mkdir -p build/pickle build/doctrees
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle $(FILES)
-	@echo
-	@echo "Build finished; now you can process the pickle files or run"
-	@echo "  sphinx-web build/pickle"
-	@echo "to start the sphinx-web server."
-
-web: pickle
 
 htmlhelp: generate version-check
 	mkdir -p build/htmlhelp build/doctrees
@@ -240,7 +203,6 @@
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.txt."
-
 texinfo:
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) build/texinfo
 	@echo
@@ -254,6 +216,6 @@
 	make -C build/texinfo info
 	@echo "makeinfo finished; the Info files are in build/texinfo."
 
+
 show:
 	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/build/html/index.html')"
-

=== debian/changelog ===
numpy (1:1.24.2-1+deb12u1) bookworm; urgency=medium

  * Declare conflict with python-numpy due to f2py (Closes: #1053649)

 -- Timo Röhling <roehling@debian.org>  Sun, 05 May 2024 09:56:59 +0200

numpy (1:1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Feb 2023 22:54:23 -0500

=== debian/control ===
Source: numpy
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: cython3 (>= 0.29.30),
               debhelper-compat (= 11),
               dh-python,
               dvisvgm,
               gfortran,
               libblas-dev [!arm !m68k],
               liblapack-dev [!arm !m68k],
               python3-all-dev,
               python3-hypothesis (>= 6.35.0) <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-typing-extensions (>= 4.2.0) <!nocheck>,
               python3-tz <!nocheck>,
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/python-team/packages/numpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/numpy
Homepage: http://www.numpy.org/

Package: python3-numpy
Architecture: any
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: gcc,
          gfortran,
          python3-dev,
          python3-pytest,
Provides: dh-sequence-numpy3,
          python3-f2py,
          python3-numpy-dev,
          ${numpy3:Provides},
          ${python3:Provides},
Conflicts: python-numpy
Description: Fast array facility to the Python 3 language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains Numpy for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,6 @@
 	set -e; for v in $(PY3VERS); do \
 		python$$v setup.py build; \
 	done
-
-override_dh_auto_build-indep: override_dh_auto_build-arch
-	# build doc only for default python version
-	(export MPLCONFIGDIR=. ; make -C doc html PYTHON=python3 PYTHONPATH=../$(PY3LIBPATH) GITVER=Unknown)
 
 override_dh_auto_clean:
 	rm -rf build/
@@ -81,7 +77,6 @@
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
-	dh_sphinxdoc -i
 
 override_dh_auto_test:
 	echo "pass"

=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-numpy, python3-all, python3-all-dev, python3-pytest, python3-tz, python3-hypothesis, python3-typing-extensions

#needs root for update-alternatives
Tests: openblas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libopenblas0, dpkg-dev, gcc, python3-hypothesis, python3-typing-extensions

#needs root for update-alternatives
Tests: atlas
Restrictions: needs-root
Depends: python3-numpy, python3-all, python3-pytest, python3-tz, libatlas3-base, dpkg-dev, gcc, python3-hypothesis, python3-typing-extensions

Tests: f2py
Depends: build-essential, gfortran, python3-numpy, python3-all, python3-all-dev

Tests: distutils
Restrictions: allow-stderr
Depends: build-essential, libfftw3-dev, python3-numpy, python3-distutils

Tests: capi
Depends: build-essential, python3-all-dev, python3-numpy

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s/.+\/numpy-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/numpy/numpy/releases  https://github.com/numpy/numpy/releases/download/v\d[\.\d]*/numpy-@ANY_VERSION@@ARCHIVE_EXT@

## numpy 1.26.4%2Bds

=== debian/changelog ===
numpy (1:1.26.4+ds-6ubuntu1) noble; urgency=medium

  * Also skip test_impossible_feature_enable on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 02 Apr 2024 11:12:01 +0000

numpy (1:1.26.4+ds-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:21:46 +0000

numpy (1:1.26.4+ds-6) unstable; urgency=medium

  * Make header include dir findable by pkgconf (Closes: #1067398)
  * Fix architecture-specifix test exclusions in autopkgtest
  * Fix entry point edits
  * Do not install duplicate files in /usr/lib/python3.X (Closes: #1063465)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Mar 2024 23:14:35 +0100

numpy (1:1.26.4+ds-5) unstable; urgency=medium

  * Fix more FTBFS due to architecture idiosynchrasies

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 21:51:43 +0100

numpy (1:1.26.4+ds-4) unstable; urgency=medium

  * Also skip feature test in armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 12:51:15 +0100

numpy (1:1.26.4+ds-3) unstable; urgency=medium

  * Skip tests with floating point errors on armhf/armel

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 11:38:11 +0100

numpy (1:1.26.4+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Avoid hard dependency on individual Python versions.
    Thanks to Simon McVittie (Closes: #945824)
  * Stop symlinking NumPy headers in Python default include path
    (Closes: #998084)
  * Make package cross-buildable
  * Skip f2py tests for architecture-specific failures
  * Adopt upstream spelling of NumPy
  * Tests no longer consume excessive memory with Python 3.12
    (Closes: #1058456)

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Mar 2024 11:58:47 +0100

numpy (1:1.26.4+ds-1) experimental; urgency=medium

  * Update debian/watch
  * New upstream version 1.26.4+ds
  * Update debian/copyright
  * Update patches
    - Drop 0004-Restore-missing-asstr-import.patch (merged upstream)
    - Drop 0005-Fix-pytest-8-deprecation-error.patch (merged upstream)
  * MesonPy is devendored now

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 14:49:51 +0100

numpy (1:1.26.3-3) experimental; urgency=medium

  * Add ckk and myself as uploaders (Closes: #1065329)
  * Migrate to meson build system
  * Update debian/copyright
  * Update patches
    - Drop debian_skip_tests.patch (no longer needed)
    - Drop setup-py-accept-config.patch (no longer needed)
  * Migrate to pybuild autopkgtest

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Mar 2024 12:38:38 +0100

numpy (1:1.26.3-2) experimental; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:45:34 -0500

numpy (1:1.26.3-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream release (Closes: #1052320)
    - Adds Python 3.12 support.
    - Adds cython 3 support. (Closes: #1056825)
  * Refresh patches.
  * Drop patches, superseded upstream: python3-soabi.patch, python3.11.patch.
  * Build-Depend on tzdata-legacy. The testsuite uses US/Eastern.
  * Manually generate the f2pyX.Y scripts that upstream is no longer building.
  * Clean version.py, generated on every build.
  * Build-Depend on meson, and include it in many autopkgtests. f2py now uses
    it on Python 3.12.
  * Patch: Restore dropped import in f2py test suite.
  * debian/versions
    - bump API version to 17, min version 1.25.0

  [ Sandro Tosi ]
  * New upstream release
  * debian/source/options
    - ignore bat scripts diffs
  * debian/copyright
    - convert to DEP-5 format
    - exclude .gitattributes from upstream tarball, messing up with .bat files
  * debian/control
    - drop dvisvgm from b-d, no longer needed; Closes: #1055435
  * drop patches used to fix doc build, since we dont ship doc anymore
  * debian/source/include-binaries
    - drop, no longer needed

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2024 01:48:13 -0500

numpy (1:1.24.2-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:43:52 -0500

numpy (1:1.24.2-2) unstable; urgency=medium

  * Team upload.
  * Drop SETUPTOOLS_USE_DISTUTILS=stdlib workaround, no longer needed and not
    applicable to Python 3.12.
  * Clean correctly.
  * Depend on python3-setuptools in autopkgtests that require distutils, for
    Python 3.12 compatibility.
  * Use --install-layout deb in capi autopkgtest, to use a consistent layout
    with Python 3.11 and 12.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Dec 2023 21:10:36 -0400
